# attempt to identify hardware RAID controller

require 'facter'

Facter.add("hardware_raid_controller") do
    setcode do
        controller = []

        # some drivers create a new block device
        #devices = Facter::Util::FileRead.read('/proc/devices')
		devices = Facter::Util::Resolution.exec('cat /proc/devices')
        devices.each_line do |line|
            if /^\s*\d+\s+(\w+)/.match(line)
                if $1 == 'aac'
                    controller.push('arcconf')
                elsif $1 == 'twe'
                    controller.push('tw_cli')
                elsif $1 == 'megadev'
                    controller.push('megarc')
                elsif $1 == 'megaraid_sas_ioctl'
                    controller.push('megaraid')
                end
            end
        end

        # some drivers don't create a new block device
        # check for installed kernel modules
        #modules = Facter::Util::FileRead.read('/proc/modules')
		modules = Facter::Util::Resolution.exec('cat /proc/modules')
        modules.each_line do |line|
            if /^hpsa\s/.match(line)
                controller.push('hpsa')
            elsif /^mptbase\s/.match(line)
                controller.push('fusionmpt')
            end
        end

        controller.join(',')
    end
end
