# vim: set ts=4 et sw=4:

# install status tools for mpt RAID controller
class raid::driver::fusionmpt (
        $enabled = true,
    ) {

    if $enabled == true {
        $packages = 'present'
        $modules = 'present'
        $files = 'file'
    } else {
        $packages = 'purged'
        $modules = 'absent'
        $files = 'absent'
    }

    package { 'mpt-status':
        ensure => $packages;
    }

    kernel::module { 'mptctl':
        ensure => $modules;
    }

    file { '/etc/sudoers.d/mpt-status':
        ensure  => $files,
        owner   => 'root',
        group   => 'root',
        mode    => '0440',
        content => "nagios,%sudo ALL=NOPASSWD:/usr/sbin/mpt-status \"\",/usr/sbin/mpt-status -v \"\",/usr/sbin/mpt-status -n \"\"\n",
    }

    if $enabled == true {
        service { 'mpt-statusd':
            ensure => 'stopped',
            enable => false,
        }
    }
}
