# vim: set ts=4 et sw=4:

# install megaport RAID driver binaries
# http://www.lsi.com/downloads/Public/MegaRAID%20Common%20Files/8.00.46_Linux_MegaCLI.zip
# Adaptec asm_linux_x64_v6_50_18579
# MegaCli-8.00.48-1.i386.rpm
class raid::driver::megaraid (
        $enabled =  true,
    ) {
    if $enabled == true {
        $packages = 'present'
        $files = 'file'
        $dirs = 'directory'
    } else {
        $packages = 'purged'
        $files = 'absent'
        $dirs = 'absent'
    }
    package { 'libstdc++5':
        ensure => $packages;
    }
    file { ['/opt/MegaRAID','/opt/MegaRAID/MegaCli']:
        ensure => $dirs,
        force  => true,
        owner  => 'root',
        group  => 'root',
        mode   => '0755',
    }
    file { '/opt/MegaRAID/MegaCli/MegaCli':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/MegaCli/MegaCli';
    }
    file { '/opt/MegaRAID/MegaCli/MegaCli64':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/MegaCli/MegaCli64';
    }
    file { '/opt/MegaRAID/MegaCli/libstorelibir-2.so.13.05-0':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0500',
        source => 'puppet:///modules/raid/MegaCli/libstorelibir-2.so.13.05-0';
    }
    file { '/usr/bin/arcconf':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/arcconf';
    }
    file { '/usr/bin/megamgr':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/megamgr';
    }
    file { '/usr/bin/megamgr.bin':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/megamgr.bin';
    }
    file { '/usr/bin/megarc':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/megarc';
    }
    file { '/usr/bin/megarc.bin':
        ensure => $files,
        owner  => 'root',
        group  => 'root',
        mode   => '0555',
        source => 'puppet:///modules/raid/megarc.bin';
    }
}
