# vim: set ts=4 et sw=4:

# install driver support for hardware RAID controllers
# default to what lib/facter/hardware_raid_controller.rb detects

class raid::hardware (
        $raid_controller = $::hardware_raid_controller,
    ) {

    if $raid_controller =~ /megaraid/ {
        $megaraid = true
    } else {
        $megaraid = false
    }
    class { 'raid::driver::megaraid':
        enabled => $megaraid,
    }

    if $raid_controller =~ /fusionmpt/ {
        $fusionmpt = true
    } else {
        $fusionmpt = false
    }
    class { 'raid::driver::fusionmpt':
        enabled => $fusionmpt,
    }

    if $raid_controller =~ /hpsa/ {
        $hpsa = true
    } else {
        $hpsa = false
    }
    class { 'raid::driver::hpsa':
        enabled => $hpsa,
    }
}
